#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_uso_tempo_Microdati_2013_DiarioGiornaliero_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_uso_tempo_A2013_DiarioGiorna<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_uso_tempo_A2013_DiarioGiorna, "label") <- c(
"codice indagine",
"anno di inizio della rilevazione",
"trimestre  di rilevazione",
"progressivo famiglia",
"numero d'ordine del componente",
"giorno di rilevazione aggregato in giorno feriale, sabato e domenica",
"progressivo episodio",
"orario di inizio dell'episodio: ore",
"orario di inizio dell'episodio: minuti",
"orario di fine dell'episodio: ore",
"orario di fine dell'episodio: minuti",
"codice dell'attivit principale",
"codice dell'attivit contemporanea",
"codice del luogo",
"con chi: da solo",
"con chi: con la madre",
"con chi: con il padre",
"con chi: con il coniuge",
"con chi: con i figli",
"con chi: con i fratelli",
"con chi: con altri familiari conviventi",
"con chi: con altre persone che conosce",
"codice ausiliario",
"giudizio sul momento che sta trascorrendo",
"attivit principale svolta con l'utilizzo di pc_internet",
"attivit contemporanea svolta con l'utilizzo di pc_internet")

meseri_Fact <- factor(DF_uso_tempo_A2013_DiarioGiorna$meseri, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Novembre, Dicembre, Gennaio", 
"Febbraio, Marzo, Aprile", 
"Maggio, Giugno, Luglio", 
"Agosto, Settembre, Ottobre")) 


gsett_Fact <- factor(DF_uso_tempo_A2013_DiarioGiorna$gsett, 
levels=c("1", 
"2", 
"3"), 
labels=c("Luned-venerd", 
"Sabato", 
"Domenica")) 


catpri_Fact <- factor(DF_uso_tempo_A2013_DiarioGiorna$catpri, 
levels=c("0", 
"1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"01", 
"02", 
"03", 
"11", 
"12", 
"13", 
"21", 
"22", 
"31", 
"32", 
"33", 
"34", 
"35", 
"36", 
"37", 
"38", 
"39", 
"41", 
"42", 
"43", 
"51", 
"52", 
"53", 
"61", 
"62", 
"63", 
"71", 
"72", 
"73", 
"81", 
"82", 
"83", 
"90", 
"011", 
"012", 
"021", 
"031", 
"039", 
"111", 
"112", 
"113", 
"121", 
"122", 
"123", 
"132", 
"139", 
"211", 
"212", 
"219", 
"221", 
"222", 
"223", 
"224", 
"229", 
"311", 
"312", 
"319", 
"321", 
"322", 
"323", 
"324", 
"329", 
"331", 
"332", 
"333", 
"339", 
"341", 
"342", 
"343", 
"344", 
"349", 
"351", 
"352", 
"353", 
"354", 
"359", 
"361", 
"362", 
"363", 
"364", 
"365", 
"369", 
"371", 
"372", 
"381", 
"382", 
"383", 
"384", 
"389", 
"391", 
"392", 
"393", 
"394", 
"399", 
"411", 
"421", 
"422", 
"423", 
"424", 
"425", 
"426", 
"427", 
"428", 
"429", 
"431", 
"432", 
"439", 
"511", 
"512", 
"513", 
"514", 
"515", 
"516", 
"517", 
"519", 
"521", 
"522", 
"523", 
"524", 
"525", 
"529", 
"531", 
"611", 
"612", 
"613", 
"614", 
"615", 
"616", 
"617", 
"619", 
"621", 
"631", 
"711", 
"712", 
"713", 
"714", 
"719", 
"721", 
"722", 
"723", 
"729", 
"731", 
"732", 
"733", 
"734", 
"735", 
"736", 
"739", 
"811", 
"812", 
"813", 
"814", 
"819", 
"821", 
"822", 
"831", 
"832", 
"900", 
"910", 
"921", 
"922", 
"931", 
"936", 
"938", 
"939", 
"941", 
"942", 
"943", 
"951", 
"960", 
"971", 
"972", 
"981", 
"982", 
"983", 
"989", 
"995", 
"997"), 
labels=c("CURA DELLA PROPRIA PERSONA", 
"ATTIVIT LAVORATIVA", 
"ISTRUZIONE, STUDIO", 
"CURA DELLA PROPRIA CASA E DELLA PROPRIA FAMIGLIA", 
"ATTIVITA  DI VOLONTARIATO, AIUTI GRATUITI AD ALTRE FAMIGLIE, PARTECIPAZIONE SOCIALE E RELIGIOSA", 
"VITA SOCIALE, DIVERTIMENTI, ATTIVIT CULTURALI E RIPOSO", 
"SPORT E ATTIVIT ALL APERTO", 
"ARTI, PASSATEMPI E GIOCHI", 
"MASS-MEDIA E COMUNICAZIONE", 
"SPOSTAMENTI E VIAGGI, CODICI SPECIALI", 
"DORMIRE, A LETTO MALATO", 
"MANGIARE, BERE", 
"CURE DELLA PROPRIA PERSONA", 
"LAVORO PRINCIPALE", 
"SECONDO LAVORO", 
"ALTRO TEMPO LEGATO AL LAVORO", 
"SCUOLA, UNIVERSIT", 
"ALTRI STUDI E CORSI", 
"CUCINARE, LAVARE E RIORDINARE LE STOVIGLIE", 
"PULIZIA E RIORDINO DELLA CASA", 
"LAVORAZIONE, MANUTENZIONE, RIPARAZIONE ABITI,BIANCHERIA,CALZATURE", 
"GIARDINAGGIO E CURA DEGLI ANIMALI", 
"COSTRUZIONE E RIPARAZIONI", 
"ACQUISTI DI BENI E SERVIZI", 
"GESTIONE DELLA FAMIGLIA", 
"CURA DI BAMBINI/RAGAZZI DELLA PROPRIA FAMIGLIA", 
"ATTIVITA  DI AIUTO RIVOLTE A COMPONENTI ADULTI DELLA FAMIGLIA", 
"ATTIVITA  DI VOLONTARIATO", 
"AIUTI DATI GRATUITAMENTE A PERSONE DI ALTRE FAMIGLIE", 
"PARTECIPAZIONE SOCIALE E RELIGIOSA", 
"VITA SOCIALE", 
"DIVERTIMENTI E ATTIVIT CULTURALI", 
"RIPOSO, PAUSA, NON FAR NIENTE", 
"ESERCIZIO FISICO: SPORT, DANZA, ECC.", 
"CACCIA, PESCA, RACCOLTA DI FUNGHI, PIANTE, BACCHE SELVATICHEE ALTRE ATTIVITA PER PROCURARSI PRODOTTI DELLA NATURA", 
"ALTRE ATTIVIT LEGATE ALLO SPORT E ALLE ATTIVITA ALL APERTO", 
"ARTI", 
"INFORMATICA E COMUNICAZIONE", 
"GIOCHI", 
"LETTURE", 
"TELEVISIONE E VIDEO", 
"MUSICA, RADIO", 
"SPOSTAMENTI SENZA FINALIT", 
"Dormire", 
"Stare a letto malato", 
"Mangiare, bere", 
"Lavarsi, vestirsi, pettinarsi", 
"Altre cure specificate e non specificate legate alla della propria persona, cure mediche", 
"Lavoro principale, formazione sul lavoro, altre attivit svolte per lavoro", 
"Pausa caff/brevi pause sul lavoro principale", 
"Spostamenti durante il lavoro principale", 
"Secondo lavoro", 
"Pausa caff/brevi pause durante il secondo lavoro", 
"Spostamenti durante il secondo lavoro", 
"Attivit svolte per lavoro, fuori dell orario di lavoro", 
"Altre attivit legate al lavoro, ricerca di lavoro", 
"Corsi, lezioni, esami", 
"Studio a casa (compiti), in biblioteca o altrove", 
"Altre attivit legate alla scuola o all universit", 
"Studi e corsi espressivo-artistici", 
"Studi e corsi di lingue", 
"Studi e corsi per l uso del computer", 
"Studi e corsi tecnico-operativi", 
"Altre attivit specificate e non specificate legate a studi e corsi", 
"Preparare i pasti", 
"Lavare le stoviglie, apparecchiare e sparecchiare la tavola", 
"Altre attivit specificate e non legate alla preparazione dei pasti", 
"Pulizia e riordino dell abitazione e parti dell edificio abitativo", 
"Pulizia delle parti esterne della casa", 
"Approvvigionamento di materiale per riscaldamento e acqua", 
"Sistemazione di oggetti e beni della propria famiglia", 
"Altre attivit specificate e non legate alla cura della casa", 
"Lavare, stendere e ritirare il bucato", 
"Stiratura", 
"Produzione di capi di abbigliamento, biancheria, calzature(non per lavoro)", 
"Altre attivit specificate e non legate alla produzione,riparazione e cura di abiti,biancheria,calzature", 
"Cura delle piante", 
"Cura degli animali da cortile/allevamento", 
"Cura degli animali domestici", 
"Portare a passeggio il cane", 
"Altre attivit specificate e non legate al giardinaggio e alla cura di animali", 
"Costruzione e ristrutturazione della propria abitazione", 
"Riparazioni nella propria abitazione:pitturare pareti, riparare impianti,ecc.", 
"Costruzione, riparazione e cura di mobili o altri beni della propria abitazione", 
"Manutenzione e riparazione di veicoli", 
"Altre attivit specificate e non legate alla costruzione e riparazione abitazione, altri beni e veicoli", 
"Acquisto di beni, spesa quotidiana", 
"Acquisto di servizi commerciali per la casa e la famiglia", 
"Acquisto di servizi amministrativi per la casa e la famiglia", 
"Servizi medici, altri servizi personali a pagamento", 
"Servizi veterinari per animali domestici o da cortile, allevamento", 
"Altre attivit specificate e non legate agli acquisti di beni e servizi", 
"Gestione della vita familiare", 
"Gestione della vita familiare con l uso del PC o di Internet", 
"Cure fisiche e sorveglianza", 
"Aiutare i bambini/ragazzi a fare i compiti", 
"Giocare, leggere e parlare con bambini/ragazzi della famiglia", 
"Accompagnare i bambini/ragazzi", 
"Altre attivit specificate e non legate alla cura di bambini/ragazzi", 
"Cure fisiche ad adulti della famiglia", 
"Prestazioni sanitarie ad adulti disabili o malati della famiglia", 
"Compagnia, accompagnare adulti della famiglia", 
"Aiuto prestato ad adulti della famiglia nello svolgimento di attivit varie:lavoro extra-domestico, studio, ecc.", 
"Altre attivit specificate e non di cura o aiuto ad adulti famiglia", 
"Attivit di volontariato svolta nell ambito di un gruppo/associazione", 
"Cucinare come aiuto", 
"Pulizia e riordino della casa come aiuto", 
"Cura dei propri figli non conviventi", 
"Costruzioni e riparazioni come aiuto", 
"Acquisti di beni e servizi come aiuto", 
"Aiuto nel lavoro extra-domestico", 
"Cura di bambini/ragazzi di altre famiglie come aiuto", 
"Cura di adulti come aiuto", 
"Altre attivit specificate e non legate agli aiuti gratuiti a persone di altre famiglie", 
"Partecipazione a incontri/riunioni", 
"Partecipazione religiosa", 
"Altre attivit specificate e non legate alla partecipazione sociale religiosa", 
"Socializzare con la propria famiglia", 
"Fare e ricevere visite", 
"Festeggiamenti", 
"Conversazioni telefoniche", 
"Attivit di socializzazione dei bambini/ragazzi non meglio specificate", 
"Parlare fuori casa con persone non conviventi", 
"Altre attivit di vita sociale svolte fuori casa", 
"Altre attivit specificate e non legate alla vita sociale", 
"Cinema", 
"Teatro, concerto", 
"Mostre, musei", 
"Biblioteca (non per studio)", 
"Manifestazioni sportive come spettatore", 
"Escursioni, gite ed altre attivit specificate e non legate al divertimento/cultura", 
"Riposo, pausa, non fare niente", 
"Camminare, passeggiare,guardare le vetrine,fare escursioni a piedi,", 
"Jogging, corsa", 
"Ciclismo, sci, pattinaggio", 
"Giochi con la palla", 
"Ginnastica, fitness", 
"Sport acquatici, sport nautici", 
"Danza classica, moderna, jazz, ecc. (come sport)", 
"Altri sport specificati e non specificati", 
"Caccia, pesca,raccolta di funghi, piante, bacche selvatiche e altre attivit svolte per procurarsi prodotti della natura", 
"Altre attivit legate allo sport e alle attivit all aperto", 
"Attivit artistico-espressive (pittura, scultura, fotografia, video, musica, teatro, cinema, prosa e poesia)", 
"Collezioni", 
"Corrispondenza", 
"Ascoltare una favola (per rispondenti fino a 17 anni)", 
"Altri passatempi specificati e non", 
"Informatica, programmazione", 
"Accesso alle informazioni tramite il computer: Internet, CD-rom, DVD", 
"Posta elettronica, chat, messaggistica mobile", 
"Altri utilizzi specificati e non specificati del pc", 
"Giocare da soli, giochi d azzardo", 
"Giocare con altri, giochi di societ", 
"Giochi con il computer, videogiochi", 
"Giochi con animali", 
"Giochi creativi, artistici dei bambini: colorare, disegnare, scrivere, ecc. (per rispondenti fino a 17 anni)", 
"Giochi di movimento dei bambini: correre, giochi con la palla, la bicicletta, il triciclo, ecc. (per rispondenti fino a 17 anni)", 
"Altri giochi specificati e non specificati", 
"Lettura di quotidiani", 
"Lettura di riviste periodiche", 
"Lettura di libri", 
"Leggere fumetti, giornalini, per bambini/ragazzi (per rispondenti fino a 17 anni)", 
"Altre letture specificate e non specificate", 
"Guardare la televisione o registrare videocassette, dvd, dvx", 
"Guardare programmi televisivi, film, video su PC o Internet", 
"Ascoltare musica", 
"Ascoltare musica o radio su pc o Internet", 
"Spostamenti per la cura della propria persona", 
"Spostamenti per lavoro", 
"Spostamenti per scuola, universit", 
"Spostamenti legati ad altri studi o corsi", 
"Spostamenti per la cura della propria casa", 
"Spostamenti per acquisti beni/servizi, gestione della famiglia", 
"Spostamenti per la cura di bambini della famiglia", 
"Spostamenti per la cura di adulti della famiglia", 
"Spostamenti legati ad attivit di volontariato", 
"Spostamenti legati ad aiuti gratuiti ad altre famiglie", 
"Spostamenti legati alla partecipazione sociale e religiosa", 
"Spostamenti legati alla vita sociale", 
"Spostamenti legati ad altre attivit del proprio tempo libero", 
"Spostamenti legati al cambio di localit", 
"Spostamenti per svago", 
"Spostamenti di bambini con entrambi i genitori (per rispondenti fino a 17 anni)", 
"Spostamenti di bambini con il padre (anche non convivente) (per rispondenti fino a 17 anni)", 
"Spostamenti di bambini con la madre (anche non convivente) (per rispondenti fino a 17 anni)", 
"Spostamenti di bambini con altre persone (per rispondenti fino a 17 anni)", 
"Compilare il diario sull Uso del Tempo ISTAT", 
"Frase che non descrive attivit o utilizzo improprio delle caselle del diario")) 


catcon_Fact <- factor(DF_uso_tempo_A2013_DiarioGiorna$catcon, 
levels=c("01", 
"02", 
"03", 
"11", 
"12", 
"13", 
"21", 
"22", 
"31", 
"32", 
"33", 
"34", 
"35", 
"36", 
"37", 
"38", 
"39", 
"40", 
"41", 
"42", 
"43", 
"51", 
"52", 
"53", 
"54", 
"55", 
"60", 
"71", 
"72", 
"73", 
"81", 
"82", 
"83", 
"95"), 
labels=c("Dormire, stare a letto malato", 
"Mangiare e bere", 
"Cura della propria persona", 
"Pausa pranzo", 
"Attivit svolte per lavoro, fuori dell orario di lavoro", 
"Altre attivit legate al lavoro, ricerca di lavoro", 
"Scuola, universit", 
"Altri studi e corsi", 
"Cucinare, lavare e riordinare le stoviglie", 
"Pulizia e riordino della casa", 
"Lavorazione, manutenzione, riparazione abiti, biancheria, calzature", 
"Giardinaggio e cura degli animali", 
"Costruzione e riparazioni", 
"Acquisti di beni e servizi, gestione della famiglia", 
"Cure fisiche e sorveglianza", 
"Giocare, leggere e parlare con bambini/ragazzi della famiglia", 
"Accompagnare i bambini/ragazzi, Aiutare i bambini/ragazzi a fare i compiti, Altre attivit specificate e non legate alla cura di bambini/ragazzi", 
"Attivit  di aiuto rivolte a componenti adulti della famiglia", 
"Attivit  di volontariato", 
"Aiuti dati gratuitamente a persone di altre famiglie", 
"Partecipazione sociale e religiosa", 
"Socializzare con la propria famiglia", 
"Fare e ricevere visite, festeggiamenti", 
"Altre attivit di socializzazione", 
"Divertimenti e attivit culturali", 
"Riposo, pausa, non far niente", 
"Esercizio fisico e attivit allaperto", 
"Arti", 
"Informatica e comunicazione", 
"Giochi", 
"Letture", 
"Televisione e video", 
"Musica, radio", 
"Compilare il diario sull Uso del Tempo ISTAT")) 


cluogo_Fact <- factor(DF_uso_tempo_A2013_DiarioGiorna$cluogo, 
levels=c("11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"34", 
"35", 
"36", 
"37", 
"38", 
"39", 
"40", 
"41", 
"42", 
"43", 
"44", 
"45", 
"49", 
"50", 
"51", 
"52", 
"53", 
"54", 
"55", 
"56", 
"57", 
"58", 
"59", 
"60", 
"61", 
"62", 
"63", 
"97", 
"98", 
"99"), 
labels=c("Casa propria", 
"Casa propria, spazi aperti", 
"Seconda casa", 
"Casa di altre persone", 
"Albergo e simili", 
"Luogo di lavoro", 
"Scuola universita asilo", 
"Biblioteca", 
"Centro studi, formazione", 
"Ristorante pizzeria", 
"Birreria pub", 
"Bar gelateria", 
"Centro commerciale", 
"Grandi magazzini", 
"Mercato", 
"Altri negozi", 
"Uffici per pubblico", 
"Ospedale", 
"Luoghi chiusi sport", 
"Luoghi aperto sport", 
"Luoghi chiuso spettacolo", 
"Luoghi aperto spettacolo", 
"Discoteca", 
"Museo, mostre", 
"Parco a tema", 
"Sala giochi, biliardo", 
"Centro estivo", 
"Luoghi di culto", 
"Caserma", 
"Verde pubblico attrezzato", 
"Zona verde", 
"Mare, spiaggia", 
"Fiume, lago", 
"Altro luogo chiuso", 
"Altro luogo aperto", 
"Luogo non specificato", 
"A piedi", 
"Bicicletta", 
"Ciclomotore", 
"Automobile", 
"Camion, trattore", 
"Gommone, barca", 
"Altri mezzi privati", 
"Taxi", 
"Autobus", 
"Tram metro", 
"Treno", 
"Aereo", 
"Nave", 
"Altri mezzi pubblici", 
"Frase che non descrive luogo o mezzo", 
"Mezzo di trasporto non specificato", 
"Luogo/mezzo non specificato")) 


causi_Fact <- factor(DF_uso_tempo_A2013_DiarioGiorna$causi, 
levels=c("50", 
"51", 
"52", 
"53", 
"54", 
"55", 
"56", 
"57", 
"58"), 
labels=c("Attivit svolte in presenza di entrambi i genitori non conviventi", 
"Attivit svolte in presenza del padre non convivente", 
"Attivit svolte in presenza della madre non convivente", 
"Attivit svolte in presenza del partner/fidanzato non convivente", 
"Attivit svolta in presenza di figli non conviventi", 
"Attivit svolte in presenza dei nonni (conviventi e non)", 
"Attivit svolte in presenza di altri parenti (conviventi e non)", 
"Attivit svolte in presenza di amici", 
"Attivit svolte in presenza di vicini")) 

save.image (file="DF_uso_tempo_A2013_DiarioGiorna.RData")
