/*     LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.    */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2013_Individuo_IT_DELIMITED.dct, clear
/*
label define  meseri_cl4 1   "Novembre, Dicembre, Gennaio" 2   "Febbraio, Marzo, Aprile" 3   "Maggio, Giugno, Luglio" 4   "Agosto, Settembre, Ottobre"  
label define  relparm_cl5 01   "PR (persona di riferimento del questionario)" 02   "Coniuge o convivente di 01" 04   "Genitore (coniuge del genitore, convivente del genitore) di 01" 05   "Genitore (coniuge del genitore, convivente del genitore) del coniuge o del convivente di 01" 06   "Figlio di 01 nato dall ultimo matrimonio/convivenza, figlio di 01 o del coniuge nato in precedenza" 08   "Coniuge o convivente del figlio di 01 (o del coniuge o convivente di 01)" 10   "Nipote (figlio del figlio, figlio del fratello/sorella) di 01 (o del coniuge o convivente di 01) " 12   "Fratello/sorella di 01 odel coniuge/convivente di 01" 14   "Coniuge o conviventedel fratello/sorella di 01(o del coniuge o convivente di 01)" 16   "Altro parente di 01 (o del coniuge o convivente di 01) o persona legata da amicizia"  
label define  sesso_cl6 1   "Maschi" 2   "Femmine"  
label define  stcivm2_cl7 1   "Celibe o nubile" 2   "Coniugata/o coabitante col coniuge" 3   "Separata/o o Divorziata/o" 6   "Vedova/o"  
label define  stcpm_cl8 1   "Celibe o nubile" 2   "Coniugata/o coabitante col coniuge" 5   "Divorziata/o" 6   "Vedova/o"  
label define  istrm_cl11 01   "Laurea o post laurea" 07   "Diploma" 09   "Licenza media" 10   "Licenza elementare" 11   "Nessun titolo"  
label define  tipnu2_cl12 0   "0 Membri isolati" 1   "1 Coppia con figl" 2   "2 Coppia senza figli" 3   "3 Monogenitore maschio" 4   "4 Monogenitore femmina"  
label define  rpnuc2_cl14 0   "Membro isolato" 1   "Caponucleo" 2   "Coniuge" 3   "Figlio"  
label define  tipfa2m_cl15 01   "Persona sola" 02   "Genitore con figli non celibi/nubili" 03   "Insieme di parenti" 04   "Parenti ed altri" 05   "Persone non parenti" 06   "Coppia coniugata senza figli, senza isolati" 07   "Coppia non coniugata senza figli, senza isolati" 08   "Coppia coniugata con figli senza isolati" 09   "Coppia non coniugata con figli senza isolati" 10   "Monogenitore maschio celibe senza isolati" 11   "Monogenitore maschio separato/divorziato, senza isolati" 14   "Monogenitore maschio vedovo, senza isolati" 15   "Monogenitore femmina nubile, senza isolati" 16   "Monogenitore femmina separata/divorziata, senza isolati" 19   "Monogenitore femmina vedova, senza isolati" 20   "Coppia senza figli coniugata, con isolati" 21   "Coppia senza figli non coniugata, con isolati" 22   "Coppia con figli coniugata, con isolati" 23   "Coppia con figli non coniugata, con isolati" 24   "Monogenitore maschio celibe, con isolati" 25   "Monogenitore maschio separato/divorziato, con isolati" 28   "Monogenitore maschio vedovo, con isolati" 29   "Monogenitore femmina nubile, con isolati" 30   "Monogenitore femmina separata/divorziata, con isolati" 33   "Monogenitore femmina vedova, con isolati" 34   "Binucleare a due generazioni senza isolati" 35   "Binucleare di tipo fraterno senza isolati" 36   "Binucleare di altro tipo senza isolati" 37   "Binucleare a due generazioni con isolati" 38   "Binucleare di tipo fraterno con isolati" 39   "Binucleare di altro tipo con isolati" 40   "Tre o pi nuclei con o senza isolati"  
label define  reg_cl16 010   "Valle d'Aosta/Valle d'Aoste e Piemonte" 030   "Lombardia" 040   "Trentino Alto Adige/Sdtirol" 050   "Veneto" 060   "Friuli-Venezia Giulia" 070   "Liguria" 080   "Emilia-Romagna" 090   "Toscana" 100   "Umbria" 110   "Marche" 120   "Lazio" 130   "Abruzzo" 140   "Molise" 150   "Campania" 160   "Puglia" 170   "Basilicata" 180   "Calabria" 190   "Sicilia" 200   "Sardegna"  
label define  rip_cl17 1   "Nord-ovest" 2   "Nord-est" 3   "Centro" 4   "Sud" 5   "Isole"  
label define  dom2_cl18 1   "Area Metropolitana" 2   "Comuni fino a 10.000 abitanti" 3   "Comuni con oltre 10.000 abitanti"  
label define  claseta1_cl21 01   "fino a 2" 02   "3-5" 03   "6-10" 04   "11-14" 05   "15-19" 06   "20-24" 07   "25-29" 08   "30-34" 09   "35-39" 10   "40-44" 11   "45-49" 12   "50-54" 13   "55-59" 14   "60-64" 15   "65-74" 16   "75 e pi"  
label define  dipen_cl22 1   "No" 2   "S"  
label define  ndipm_cl23 1   "Da 1 a 6" 2   "Pi di 7"  
label define  newcondm_cl24 1   "Occupato" 2   "In cerca di occupazione" 4   "Casalinga" 5   "Studente" 7   "Persona ritirata dal lavoro" 8   "In altra condizione o inabile al lavoro"  
label define  codprom_cl25 1   "LEGISLATORI, IMPRENDITORI E ALTA DIRIGENZA" 2   "PROFESSIONI INTELLETTUALI, SCIENTIFICHE E DI ELEVATA SPECIALIZZAZIONE" 3   "PROFESSIONI TECNICHE" 4   "PROFESSIONI ESECUTIVE NEL LAVORO D'UFFICIO" 5   "PROFESSIONI QUALIFICATE NELLE ATTIVITA COMMERCIALI E NEI SERVIZI" 6   "ARTIGIANI, OPERAI SPECIALIZZATI E AGRICOLTORI" 7   "CONDUTTORI DI IMPIANTI, OPERAI DI MACCHINARI FISSI E MOBILI E CONDUCENTI DI VEICOLI" 8   "PROFESSIONI NON QUALIFICATE" 9   "FORZE ARMATE"  
label define  redprm_cl26 1   "Reddito da lavoro dipendente" 2   "Reddito da lavoro autonomo" 3   "Pensione" 4   "Redditi patrimoniali  o Indennit o provvidenze varie" 6   "Mantenimento da parte dei familiari"  
label define  citt_cl27 1   "Italiana" 3   "Straniera"  
label define  statpa_cl28 1   "Italia" 2   "Stato estero"  
label define  statma_cl29 1   "Italia" 2   "Stato estero"  
label define  frscm_cl30 01   "No" 02   "Dottorato di ricerca" 03   "Corso di laurea (I o II liv.) o AFAM" 06   "Scuola secondaria di secondo grado" 13   "Scuola secondaria di primo grado" 14   "Scuola primaria" 15   "Scuola dellinfanzia o asilo nido"  
label define  distsc_cl31 1   "Lo seguo da casa (svolgo teledidattica)" 2   "Meno di 1 km" 3   "Da 1 km a meno di 5 km" 4   "Da 5 km a meno di 10 km" 5   "Da 10 km a meno di 20 km" 6   "Da 20 km a meno di 50 km" 7   "50 km e oltre"  
label define  noscu_cl36 8   "Non saprei,  molto variabile" 9   "Non frequenta/non ha frequentato"  
label define  contar_cl37 1   "No" 2   "Si"  
label define  conmad_cl38 1   "Madre"  
label define  conpad_cl39 2   "Padre"  
label define  config_cl40 3   "Figli"  
label define  confra_cl41 4   "Fratelli/sorelle"  
label define  connon_cl42 5   "Nonni"  
label define  connip_cl43 6   "Nipoti"  
label define  conpar_cl44 7   "Altri parenti"  
label define  conami_cl45 8   "Amici"  
label define  convic_cl46 9   "Vicini"  
label define  amici_cl47 1   "Tutti i giorni" 2   "Pi di una volta a settimana" 3   "Una volta a settimana" 4   "Qualche volta al mese (meno di 4)" 5   "Qualche volta all'anno" 6   "Mai" 7   "Non ho amici"  
label define  figlon_cl48 1   "No" 2   "Si, solo minori (fino a 17 anni)" 3   "Si, solo adulti (18 anni o pi)" 4   "Si, sia minori sia adulti"  
label define  lavo1m_cl49 1   "No o permanentemente inabile al lavoro" 2   "S"  
label define  lavo2m_cl50 1   "No o permanentemente inabile al lavoro" 2   "S"  
label define  qunlav_cl51 1   "Meno di un mese" 2   "Da uno a tre mesi" 3   "Da pi di tre mesi a meno di un anno" 4   "Da un anno o pi"  
label define  motnla_cl52 01   "Cassa Integrazione Guadagni (ordinaria o straordinaria)" 02   "Ridotta attivit della impresa per motivi economici e/o tecnici (esclusa CIG)" 03   "Sciopero" 04   "Vertenza sindacale, controversia di lavoro" 05   "Maltempo" 06   "Malattia, problemi di salute personali, infortunio" 07   "Ferie" 08   "Festivit nella settimana" 09   "Orario variabile o flessibile (ad esempio riposo compensativo)" 10   "Part time verticale" 11   "Studio o formazione non organizzata nellambito del proprio lavoro" 12   "Assenza obbligatoria per maternit" 13   "Assenza facoltativa fino all ottavo anno del bambino (congedo parentale)" 14   "Motivi familiari (esclusa maternit obbligatoria e congedo parentale)" 15   "Mancanza di occasioni di maggior lavoro" 16   "Fa un lavoro occasionale" 17   "Fa un lavoro stagionale alle dipendenze" 18   "Altro motivo"  
label define  posi_cl53 1   "Un lavoro alle dipendenze" 2   "Collaborazione coordinata e continuativa (con o senza progetto)" 3   "Prestazione d opera occasionale" 4   "Imprenditore" 5   "Libero professionista" 6   "Lavoratore in proprio" 7   "Coadiuvante nell  azienda di un familiare" 8   "Socio di cooperativa"  
label define  albo_cl54 1   "No" 2   "S"  
label define  posdip_cl55 1   "Dirigente" 2   "Quadro" 3   "Insegnante di scuola secondaria di primo o secondo grado" 4   "Insegnante di scuola dell'infanzia o di scuola primaria" 5   "Impiegato" 6   "Operaio" 7   "Apprendista" 8   "Lavoratore presso il proprio domicilio per conto di una impresa"  
label define  atecom2_cl56 01   "Agricoltura, silvicultura, caccia, pesca" 02   "Totale industria escluse costruzioni" 04   "Costruzioni" 05   "Totale servizi"  
label define  abitlo_cl57 1   "Non ho una sede fissa di lavoro" 2   "Lavoro presso il mio domicilio/svolgo telelavoro" 3   "Meno di 1 km" 4   "Da 1 km a meno di 5 km" 5   "Da 5 km a meno di 10 km" 6   "Da 10 km a meno di 20 km" 7   "Da 20 km a meno di 50 km" 8   "50 km  e oltre"  
label define  tempar_cl60 1   "A tempo pieno" 2   "A tempo parziale (part time)"  
label define  vuopar_cl61 1   "No" 2   "S, sceglierei il part-time verticale" 3   "S, sceglierei il part-time orizzontale" 4   "Non so"  
label define  tippar_cl62 1   "Concentrato in alcuni giorni, settimane o mesi dell anno (part time verticale)" 2   "Svolto quotidianamente, ma in misura ridotta (part time orizzontale)"  
label define  motpar_cl63 1   "Non voglio un lavoro a tempo pieno" 2   "Non ho trovato un lavoro a tempo pieno" 3   "Altri motivi" 4   "Non so"  
label define  motipam_cl64 1   "Studio o seguo corsi di formazione professionale" 3   "Per prendermi cura dei figli, di bambini e/o di altre persone non autosufficienti" 4   "Altri motivi familiari (esclusa cura dei figli o di altre persone)" 5   "Svolgo un secondo lavoro" 6   "Per avere a disposizione pi tempo libero" 7   "Altri motivi, malattia o problemi di salute personali"  
label define  badfig_cl65 1   "Badare ai miei figli"  
label define  curfa_cl66 2   "Curare persone anziane/malate"  
label define  concil_cl67 3   "Conciliare meglio lavoro domestico e quello extradomestico"  
label define  piucas_cl68 4   "Trascorrere piu tempo in famiglia/a casa"  
label define  altmot_cl69 5   "Altro motivo"  
label define  ptnose_cl70 1   "S, sono assenti/inadeguati i servizi per la cura di bambini" 2   "S, sono assenti/inadeguati i servizi per  la cura di persone anziane, malate, disabili" 3   "S, entrambi i servizi sono assenti/inadeguati" 4   "No, lavora part-time per altri motivi"  
label define  serale_cl71 1   "Si 2 o pi volte a settimana" 2   "Si, meno di 2 volte al settimana" 3   "No"  
label define  nottur_cl72 1   "S, 2 o pi volte a settimana" 2   "S, meno di 2 volte al settimana" 3   "No"  
label define  sabato_cl73 1   "S, 2 o pi volte nelle 4 settimane" 2   "S, meno di 2 volte nelle 4 settimane" 3   "No"  
label define  domeni_cl74 1   "Si, 2 o pi volte nelle 4 settimane" 2   "Si, meno di 2 volte nelle 4 settimane" 3   "No"  
label define  turni_cl75 1   "No" 2   "S"  
label define  seclav_cl76 1   "No" 2   "S"  
label define  varlav_cl79 8   "L'orario di lavoro varia sensibilmente da settimana a settimana" 9   "Non so/non ricordo"  
label define  lavter_cl80 1   "A termine (tempo determinato)" 2   "A tempo indeterminato (senza una scadenza)"  
label define  flessi_cl81 1   "S" 2   "S, ma solo per esigenze molto gravi" 3   "No"  
label define  esiorg_cl82 1   "Esigenze familiari" 2   "Esigenze personali" 3   "Esigenze lavorative" 4   "Altro"  
label define  esfigl_cl83 1   "Badare a/stare con i figli"  
label define  esfami_cl84 2   "Assistere familiari anziani, malati"  
label define  escasa_cl85 3   "Curare la casa"  
label define  espart_cl86 4   "Concilare il mio orario di lavoro con quello del partner"  
label define  esfmg_cl87 5   "Trascorrere pi tempo in famiglia"  
label define  esaltr_cl88 6   "Altre esigenze della famiglia"  
label define  telela_cl89 1   "Lo svolgo gi" 2   "S, mi piacerebbe" 3   "No, non mi interessa" 4   "No, non  possibile per il tipo di lavoro che svolgo" 5   "Non so"  
label define  motel1_cl90 1   "Per avere maggiore autonomia nella gestione/organizz. del mio tempo"  
label define  motel2_cl91 2   "Per avere maggiore autonomia nella gestione/organizz. del mio lavoro"  
label define  motel3_cl92 3   "Per essere pi concentrato/produttivo"  
label define  motel4_cl93 4   "Per conciliare meglio impegni lav. e fam."  
label define  motel5_cl94 5   "Per evitare/ridurre i tempi e i costi del viaggio tra casa e lavoro"  
label define  motel6_cl95 6   "Altro"  
label define  orepiu_cl96 1   "No" 2   "S"  
label define  orlavt_cl97 1   "No" 2   "S"  
label define  exiorg_cl98 1   "Esigenze familiari" 2   "Esigenze personali" 3   "Esigenze lavorative" 4   "Altro"  
label define  exfigl_cl99 1   "Badare a/stare con i figli"  
label define  exfami_cl100 2   "Assistere familiari anziani, malati (conviventi e non)"  
label define  excasa_cl101 3   "Curare la casa"  
label define  expart_cl102 4   "Concilare il mio orario di lavoro con quello del partner"  
label define  exfmg_cl103 5   "Trascorrere pi tempo in famiglia"  
label define  exaltr_cl104 6   "Altre esigenze della famiglia"  
label define  famlv1_cl105 1   "No" 2   "Si, con familari non coabitanti" 3   "Si, con familiari coabitanti"  
label define  famlv2_cl106 1   "No" 2   "S, con familari non coabitanti" 3   "S, con familiari coabitanti"  
label define  famlv3_cl107 1   "No" 2   "S, con familari non coabitanti" 3   "S, con familiari coabitanti"  
label define  lacasa_cl108 1   "No" 2   "S"  
label define  frelca_cl109 1   "Tutti i giorni" 2   "Qualche volta a settimana" 3   "Qualche volta al mese" 4   "Pi raramente"  
label define  festla_cl110 1   "S, spesso" 2   "S, qualche volta" 3   "S, raramente" 4   "No, mai"  
label define  ragi1m_cl111 01   "La casa  il mio abituale luogo di lavoro/telelavoro" 02   " richiesto dal tipo di lavoro, non  una scelta" 03   "Ci sono migliori condizioni di lavoro" 04   "Mi piace farlo" 05   "Per guadagnare di pi, arrotondare lo stipendio" 06   "Per fare carriera/per avere visibilit" 07   "Per crescita professionale/personale" 08   "Per i carichi di lavoro/per evitare ritardi" 09   "Per senso del dovere" 10   "Per utilizzare tempi di attesa/spostamento" 11   "Perch ho un orario flessibile e posso organizzarlo" 12   "Per conciliare lavoro e cura dei figli" 13   "Per conciliare lavoro e altre responsabilit" 15   "Altri motivi o motivi di salute"  
label define  ragi2m_cl112 01   "La casa  il mio abituale luogo di lavoro/telelavoro" 02   " richiesto dal tipo di lavoro, non  una scelta" 03   "Ci sono migliori condizioni di lavoro" 04   "Mi piace farlo" 05   "Per guadagnare di pi, arrotondare lo stipendio" 06   "Per fare carriera/per avere visibilit" 07   "Per crescita professionale/personale" 08   "Per i carichi di lavoro/per evitare ritardi" 09   "Per senso del dovere" 10   "Per utilizzare tempi di attesa/spostamento" 11   "Perch ho un orario flessibile e posso organizzarlo" 12   "Per conciliare lavoro e cura dei figli" 13   "Per conciliare lavoro e altre responsabilit" 15   "Altri motivi o motivi di salute"  
label define  ragi3m_cl113 01   "La casa  il mio abituale luogo di lavoro/telelavoro" 02   " richiesto dal tipo di lavoro, non  una scelta" 03   "Ci sono migliori condizioni di lavoro" 04   "Mi piace farlo" 05   "Per guadagnare di pi, arrotondare lo stipendio" 06   "Per fare carriera/per avere visibilit" 07   "Per crescita professionale/personale" 08   "Per i carichi di lavoro/per evitare ritardi" 09   "Per senso del dovere" 10   "Per utilizzare tempi di attesa/spostamento" 11   "Perch ho un orario flessibile e posso organizzarlo" 12   "Per conciliare lavoro e cura dei figli" 13   "Per conciliare lavoro e altre responsabilit" 15   "Altri motivi o motivi di salute"  
label define  uspc_cl114 1   "Tutti i giorni" 2   "Qualche volta a settimana" 3   "Una volta a settimana" 4   "Qualche volta al mese" 5   "Qualche volta l'anno" 6   "Mai"  
label define  navint_cl115 1   "Tutti i giorni" 2   "Qualche volta a settimana" 3   "Una volta a settimana" 4   "Qualche volta al mese" 5   "Qualche volta l'anno" 6   "Mai"  
label define  ustele_cl116 1   "Tutti i giorni" 2   "Qualche volta a settimana" 3   "Una volta a settimana" 4   "Qualche volta al mese" 5   "Qualche volta l'anno" 6   "Mai"  
label define  compra_cl117 1   "Tutti i giorni" 2   "Qualche volta a settimana" 3   "Una volta a settimana" 4   "Qualche volta al mese" 5   "Qualche volta l'anno" 6   "Mai"  
label define  incont_cl118 1   "Tutti i giorni" 2   "Qualche volta a settimana" 3   "Una volta a settimana" 4   "Qualche volta al mese" 5   "Qualche volta l'anno" 6   "Mai"  
label define  contab_cl119 1   "Tutti i giorni" 2   "Qualche volta a settimana" 3   "Una volta a settimana" 4   "Qualche volta al mese" 5   "Qualche volta l'anno" 6   "Mai"  
label define  legger_cl120 1   "Tutti i giorni" 2   "Qualche volta a settimana" 3   "Una volta a settimana" 4   "Qualche volta al mese" 5   "Qualche volta l'anno" 6   "Mai"  
label define  lapasm_cl121 1   "No" 2   "S"  
label define  nointe_cl122 01   "Non mi interessa/interessava"  
label define  nobiso_cl123 02   "Non ne ho/avevo bisogno"  
label define  finstu_cl124 03   "Per terminare gli studi"  
label define  ragpe_cl125 05   "Per altre ragioni personali"  
label define  accfig_cl126 06   "Per accudire i figli"  
label define  nofami_cl127 07   "I miei familiari non sono/non erano d accordo"  
label define  alfam_cl128 08   "Per altri motivi familiari"  
label define  nolavo_cl129 09   "Non ho trovato lavoro"  
label define  nolain_cl130 10   "Non ho trovato lavoro interessante"  
label define  noaltrm_cl131 11   "Per altri motivi"  
label define  pospre_cl132 1   "Un lavoro alle dipendenze" 2   "Collaborazione coordinata e continuativa (con o senza progetto)" 3   "Prestazione d'opera occasionale" 4   "Imprenditore" 5   "Libero professionista" 6   "Lavoratore in proprio" 7   "Coadiuvante nell azienda di un familiare" 8   "Socio di cooperativa"  
label define  dippre_cl133 1   "No" 2   "S"  
label define  podpre_cl134 1   "Dirigente" 2   "Quadro" 3   "Insegnante di scuola secondaria di primo o secondo grado" 4   "Insegnante di scuola dell'infanzia o di scuola primaria" 5   "Impiegato" 6   "Operaio" 7   "Apprendista" 8   "Lavoratore presso il proprio domicilio per conto di un impresa"  
label define  ateprem_cl135 01   "Agricoltura, silvicultura, caccia, pesca" 02   "Totale industria escluse costruzioni" 04   "Costruzioni" 05   "Totale servizi"  
label define  motsmem_cl137 1   "Pensionamento" 2   "Licenziamento o mobilit" 3   "Lavoro a termine" 5   "Maternit, nascita di un figlio" 6   "Per prendersi cura dei figli, di bambini e/o di altre persone non autosufficienti" 7   "Altri motivi familiari (esclusa maternit, cura dei figli o di altre persone), malattia o problemi di salute personali" 8   "Studio o formazione professionale" 9   "Servizio di leva o servizio civile sostitutivo"  
label define  contsm_cl138 1   "No, avrei preferito continuare a lavorare" 2   "No all inizio, s in seguito" 3   "S all inizio, no in seguito" 4   "S"  
label define  dimbi_cl139 1   "No" 2   "S"  
label define  smegr_cl140 1   "No" 2   "S, sono stata licenziata" 3   "S, mi sono dimessa" 4   "S, non mi  stato rinnovato il contratto"  
label define  smefig_cl141 1   "Durante la gravidanza" 2   "Nei primi 3 mesi dalla nascita del bambino" 3   "Dopo i 3 mesi e nell arco del primo anno di vita del bambino" 4   "Dopo il primo anno di vita del bambino"  
label define  posmgr_cl142 1   "Un lavoro alle dipendenze" 2   "Collaborazione coordinata e continuativa (con o senza progetto)" 3   "Prestazione d opera occasionale" 4   "Imprenditrice" 5   "Libero professionista" 6   "Lavoratrice in proprio" 7   "Coadiuvante nell  azienda di un familiare" 8   "Socia di cooperativa"  
label define  dipsmg_cl143 1   "No" 2   "S"  
label define  podsmg_cl144 1   "Dirigente" 2   "Quadro" 3   "Insegnante di scuola secondaria di primo o secondo grado" 4   "Insegnante di scuola dell'infanzia o di scuola primaria" 5   "Impiegata" 6   "Operaia" 7   "Apprendista" 8   "Lavoratrice presso il proprio domicilio per conto di una impresa"  
label define  atesmgm_cl145 01   "Agricoltura, silvicultura, caccia, pesca" 02   "Totale industria escluse costruzioni" 04   "Costruzioni" 05   "Totale servizi"  
label define  cerla_cl146 1   "No" 2   "S"  
label define  cerlav_cl147 1   "No" 2   "Si"  
label define  cenpub_cl148 1   "No" 2   "S"  
label define  colloq_cl149 3   "No" 4   "S"  
label define  conpub_cl150 5   "No" 6   "S"  
label define  domcon_cl151 7   "No" 8   "S"  
label define  offgio_cl152 1   "No" 2   "S"  
label define  inserz_cl153 3   "No" 4   "Si"  
label define  domcv_cl154 5   "No" 6   "S"  
label define  amipar_cl155 7   "No" 8   "S"  
label define  intrt_cl156 1   "No" 2   "S"  
label define  ageint_cl157 3   "No" 4   "S"  
label define  ceraut_cl158 5   "No" 6   "S"  
label define  chiaut_cl159 7   "No" 8   "Si"  
label define  altric_cl160 1   "No" 2   "S"  
label define  orscel_cl161 1   "Esclusivamente a tempo pieno" 2   "Esclusivamente a tempo parziale" 3   "Preferibilmente a tempo pieno" 4   "Preferibilmente a tempo parziale" 5   "Qualsiasi orario"  
label define  motnc_cl162 01   "Ho gi un lavoro che inizier al massimo fra tre mesi" 02   "Studia o segue corsi di formazione professionale" 03   "Malattia, problemi di salute personali" 04   "Maternit, nascita di un figlio" 05   "Per prendersi cura dei figli, di bambini e/o altre persone non autosufficienti" 06   "Altri motivi familiari (esclusa maternit, cura dei figli o di altre persone)" 07   "In attesa di tornare al suo posto di lavoro" 08   "Pensione da lavoro (anzianit, vecchiaia)" 09   "Ritiene di non riuscire a trovare un lavoro" 10   "Non gli interessava/non ne ha bisogno (anche per motivi di et)" 11   "Sta aspettando gli esiti di passate azioni di ricerca" 12   "Inabile al lavoro" 13   "Altri motivi"  
label define  ncnose_cl163 1   "S, sono assenti/inadeguati i servizi per la cura dei bambini" 2   "S, sono assenti/inadeguati i servizi per la cura delle persone anziane, malate, disabili" 3   "S, entrambi i servizi sono assenti/inadeguati" 4   "No, non ha cercato lavoro per altri motivi"  
label define  dispo_cl164 1   "No" 2   "S"  
label define  condmam_cl165 0   "Non so" 1   "Occupato" 2   "In cerca di nuova occupazione" 3   "In cerca di prima occupazione" 4   "Casalinga" 5   "Studente" 7   "Persona ritirata dal lavoro" 8   "In altra condizione o inabile al lavoro" 9   "Deceduto"  
label define  condpam_cl166 0   "Non so" 1   "Occupato" 2   "In cerca di nuova occupazione" 3   "In cerca di prima occupazione" 4   "Casalinga" 5   "Studente" 7   "Persona ritirata dal lavoro" 8   "In altra condizione o inabile al lavoro" 9   "Deceduto"  
label define  trisp_cl167 1   "Si, senza la presenza di altre persone" 2   "Si, con la presenza di altre persone" 3   "No, ma era presente" 4   "No e non era presente"  
label define  gsett_cl168 1   "Luned-venerd" 2   "Sabato" 3   "Domenica"  
label define  giocin_cl169 1   "Pi tempo" 2   "Meno tempo" 3   "Va bene cosi"  
label define  giocap_cl170 1   "Pi tempo" 2   "Meno tempo" 3   "Va bene cosi"  
label define  scuola_cl171 1   "Pi tempo" 2   "Meno tempo" 3   "Va bene cosi"  
label define  compit_cl172 1   "Pi tempo" 2   "Meno tempo" 3   "Va bene cosi"  
label define  sport_cl173 1   "Pi tempo" 2   "Meno tempo" 3   "Va bene cosi"  
label define  extra_cl174 1   "Pi tempo" 2   "Meno tempo" 3   "Va bene cosi"  
label define  alpiut_cl175 1   "Pi tempo" 2   "Meno tempo" 3   "Va bene cosi"  
label define  camic_cl176 1   "Amici"  
label define  compag_cl177 2   "Compagni di scuola"  
label define  cugini_cl178 3   "Cugini"  
label define  fratel_cl179 4   "Fratelli/sorelle"  
label define  mamma_cl180 5   "Mamma"  
label define  papa_cl181 6   "Papa"  
label define  nonni_cl182 7   "Nonni"  
label define  alter_cl183 8   "Altre persone"  
label define  nemo_cl184 9   "Nessuno"  
label define  genlav_cl185 1   "Si,tutti i giorni" 2   "Si,qualche volta a settimana" 3   "Si,qualche volta al mese" 4   "Si,qualche volta l  anno" 5   "No,mai" 6   "Non pertinente"  
label define  timse_cl186 1   "S" 2   "No, e troppo" 3   "No, e poco"  
label define  timpar_cl187 1   "S" 2   "No, e troppo" 3   "No, e poco" 4   "Non pertinente"  
label define  timfig_cl188 1   "S" 2   "No, e troppo" 3   "No, e poco" 4   "Non pertinente"  
label define  timgen_cl189 1   "S" 2   "No, e troppo" 3   "No, e poco" 4   "Non pertinente"  
label define  timlav_cl190 1   "S" 2   "No, e troppo" 3   "No, e poco" 4   "Non pertinente"  
label define  timint_cl191 1   "S" 2   "No, e troppo" 3   "No, e poco" 4   "Non pertinente"  
label define  timsva_cl192 1   "S" 2   "No, e troppo" 3   "No, e poco" 4   "Non pertinente"  
label define  timrip_cl193 1   "S" 2   "No, e troppo" 3   "No, e poco" 4   "Non pertinente"  
label define  stress_cl194 1   "S ,sempre" 2   "Si,spesso" 3   "S ,qualche volta" 4   "No,mai"  
label define  strfon_cl195 01   "Il lavoro" 02   "La situazione finanziaria" 03   "La vita di coppia" 04   "Il rapporto con i genitori" 05   "Il rapporto con i figli" 06   "Il rapporto con i familiari" 07   "La gestione della vita quotidiana" 08   "Lo studio" 09   "Il traffico" 10   "La situazione generale" 11   "Altro" 12   "Non so"  
label define  timcon_cl196 1   "No" 2   "S" 3   "Non so"  
label define  manca_cl197 1   "Di piu" 2   "In ugual modo" 3   "Di meno" 4   "Non so"  
label define  lavpar_cl198 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  scuole_cl199 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  uffici_cl200 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  luolib_cl201 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  negozi_cl202 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  sodeco_cl203 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  sodqnt_cl204 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  sodqlt_cl205 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  sodla_cl206 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  sodcop_cl207 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  sodequ_cl208 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente" 5   "Non pertinente"  
label define  fiducia_cl210 1   "Gran parte della gente  degna di fiducia" 2   "Bisogna stare molto attenti"  
label define  tradiz_cl211 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  pardom_cl212 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  parcur_cl213 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  masdom_cl214 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  mascur_cl215 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  impcas_cl216 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  parldm_cl217 1   "Sempre" 2   "Spesso" 3   "Qualche volta" 4   "Mai"  
label define  fapiud_cl218 1   "Sempre" 2   "Spesso" 3   "Qualche volta" 4   "Mai"  
label define  famend_cl219 1   "Sempre" 2   "Spesso" 3   "Qualche volta" 4   "Mai"  
label define  magdom_cl220 1   "Molto pi io" 2   "Un p pi io" 3   "Pi o meno lo stesso" 4   "Un p pi il mio coniuge/partner" 5   "Molto di pi il mio coniuge/partner"  
label define  soddom_cl221 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  magred_cl222 1   "Molto pi io" 2   "Un p pi io" 3   "Pi o meno lo stesso" 4   "Un p pi il/la mio/a partner" 5   "Molto di pi il/la mio/a partner"  
label define  magcur_cl223 1   "Molto pi io" 2   "Un p pi io" 3   "Pi o meno lo stesso" 4   "Un p pi il mio coniuge/partner" 5   "Molto di pi il mio coniuge/partner"  
label define  sodcur_cl224 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  comgio_cl225 1   "Compilato personalmente dal rispondente" 2   "Compilato da un familiare" 3   "Non compilato per rifiuto" 4   "Non compilato per assenza del rispondente" 5   "Altro"  
label define  giocom_cl226 1   "In modo completo senza difficolt" 2   "In modo completo con difficolt" 3   "In modo incompleto e lacunoso"  
label define  tipoab_cl227 1   "Villa,villino/casale o casa rurale" 2   "Appartamento in edificio" 3   "Altro tipo di abitazione"  
label define  godab_cl228 1   "Affitto o subaffitto" 2   "Propriet" 3   "Usufrutto" 4   "Titolo gratuito" 5   "Altro"  
label define  stanzem_cl229 02   "1 o 2 stanze" 03   "3 stanze" 04   "4 stanze" 05   "5 stanze" 06   "6 stanze" 07   "7 stanze" 08   "8 stanze" 09   "9 stanze" 10   "10 stanze" 11   "11 stanze" 12   "12 stanze" 13   "13 stanze" 14   "14 stanze" 15   "15 stanze o pi"  
label define  secasa_cl230 1   "No" 2   "S"  
label define  lavcas_cl231 1   "No" 2   "S"  
label define  intcas_cl232 1   "No" 2   "S"  
label define  coltiv_cl233 1   "No" 2   "S"  
label define  alleva_cl234 1   "No" 2   "S"  
label define  vende_cl235 1   "No" 2   "S"  
label define  andome_cl236 1   "No" 2   "S"  
label define  pc_cl237 1   "No" 2   "S"  
label define  ainter_cl239 3   "No" 4   "S"  
label define  antepa_cl241 5   "No" 6   "S"  
label define  telfis_cl243 1   "No" 2   "S"  
label define  telcel_cl245 3   "No" 4   "S"  
label define  bic_cl247 5   "No" 6   "S"  
label define  nbicm_cl248 1   "1 bici" 2   "2 bici" 3   "3 bici" 4   "4 bici" 5   "5 bici o pi"  
label define  motor_cl249 7   "No" 8   "S"  
label define  amoto_cl251 1   "No" 2   "S"  
label define  auto_cl253 3   "No" 4   "S"  
label define  nautom_cl254 1   "1 auto" 2   "2 auto" 3   "3 auto" 4   "4 auto o pi"  
label define  colf1_cl255 1   "No"  
label define  colf2_cl256 2   "S, italiano"  
label define  colf3_cl257 3   "S, straniero"  
label define  baby1_cl258 4   "No"  
label define  baby2_cl259 5   "S, italiano"  
label define  baby3_cl260 6   "S, straniero"  
label define  asanz1_cl261 7   "No"  
label define  asanz2_cl262 8   "S, italiano"  
label define  asanz3_cl263 9   "S, straniero"  
label define  risec_cl267 1   "Ottime" 2   "Adeguate" 3   "Scarse" 4   "Assolutamente insufficienti"  
label define  nolset_cl268 8   "Diario settimanale non compilato" 9   "Non ha lavorato nessun giorno durante la settimana di compilazione del diario settimanale"  
label values  meseri meseri_cl4
label values  relparm relparm_cl5
label values  sesso sesso_cl6
label values  stcivm2 stcivm2_cl7
label values  stcpm stcpm_cl8
label values  istrm istrm_cl11
label values  tipnu2 tipnu2_cl12
label values  rpnuc2 rpnuc2_cl14
label values  tipfa2m tipfa2m_cl15
label values  reg reg_cl16
label values  rip rip_cl17
label values  dom2 dom2_cl18
label values  claseta1 claseta1_cl21
label values  dipen dipen_cl22
label values  ndipm ndipm_cl23
label values  newcondm newcondm_cl24
label values  codprom codprom_cl25
label values  redprm redprm_cl26
label values  citt citt_cl27
label values  statpa statpa_cl28
label values  statma statma_cl29
label values  frscm frscm_cl30
label values  distsc distsc_cl31
label values  noscu noscu_cl36
label values  contar contar_cl37
label values  conmad conmad_cl38
label values  conpad conpad_cl39
label values  config config_cl40
label values  confra confra_cl41
label values  connon connon_cl42
label values  connip connip_cl43
label values  conpar conpar_cl44
label values  conami conami_cl45
label values  convic convic_cl46
label values  amici amici_cl47
label values  figlon figlon_cl48
label values  lavo1m lavo1m_cl49
label values  lavo2m lavo2m_cl50
label values  qunlav qunlav_cl51
label values  motnla motnla_cl52
label values  posi posi_cl53
label values  albo albo_cl54
label values  posdip posdip_cl55
label values  atecom2 atecom2_cl56
label values  abitlo abitlo_cl57
label values  tempar tempar_cl60
label values  vuopar vuopar_cl61
label values  tippar tippar_cl62
label values  motpar motpar_cl63
label values  motipam motipam_cl64
label values  badfig badfig_cl65
label values  curfa curfa_cl66
label values  concil concil_cl67
label values  piucas piucas_cl68
label values  altmot altmot_cl69
label values  ptnose ptnose_cl70
label values  serale serale_cl71
label values  nottur nottur_cl72
label values  sabato sabato_cl73
label values  domeni domeni_cl74
label values  turni turni_cl75
label values  seclav seclav_cl76
label values  varlav varlav_cl79
label values  lavter lavter_cl80
label values  flessi flessi_cl81
label values  esiorg esiorg_cl82
label values  esfigl esfigl_cl83
label values  esfami esfami_cl84
label values  escasa escasa_cl85
label values  espart espart_cl86
label values  esfmg esfmg_cl87
label values  esaltr esaltr_cl88
label values  telela telela_cl89
label values  motel1 motel1_cl90
label values  motel2 motel2_cl91
label values  motel3 motel3_cl92
label values  motel4 motel4_cl93
label values  motel5 motel5_cl94
label values  motel6 motel6_cl95
label values  orepiu orepiu_cl96
label values  orlavt orlavt_cl97
label values  exiorg exiorg_cl98
label values  exfigl exfigl_cl99
label values  exfami exfami_cl100
label values  excasa excasa_cl101
label values  expart expart_cl102
label values  exfmg exfmg_cl103
label values  exaltr exaltr_cl104
label values  famlv1 famlv1_cl105
label values  famlv2 famlv2_cl106
label values  famlv3 famlv3_cl107
label values  lacasa lacasa_cl108
label values  frelca frelca_cl109
label values  festla festla_cl110
label values  ragi1m ragi1m_cl111
label values  ragi2m ragi2m_cl112
label values  ragi3m ragi3m_cl113
label values  uspc uspc_cl114
label values  navint navint_cl115
label values  ustele ustele_cl116
label values  compra compra_cl117
label values  incont incont_cl118
label values  contab contab_cl119
label values  legger legger_cl120
label values  lapasm lapasm_cl121
label values  nointe nointe_cl122
label values  nobiso nobiso_cl123
label values  finstu finstu_cl124
label values  ragpe ragpe_cl125
label values  accfig accfig_cl126
label values  nofami nofami_cl127
label values  alfam alfam_cl128
label values  nolavo nolavo_cl129
label values  nolain nolain_cl130
label values  noaltrm noaltrm_cl131
label values  pospre pospre_cl132
label values  dippre dippre_cl133
label values  podpre podpre_cl134
label values  ateprem ateprem_cl135
label values  motsmem motsmem_cl137
label values  contsm contsm_cl138
label values  dimbi dimbi_cl139
label values  smegr smegr_cl140
label values  smefig smefig_cl141
label values  posmgr posmgr_cl142
label values  dipsmg dipsmg_cl143
label values  podsmg podsmg_cl144
label values  atesmgm atesmgm_cl145
label values  cerla cerla_cl146
label values  cerlav cerlav_cl147
label values  cenpub cenpub_cl148
label values  colloq colloq_cl149
label values  conpub conpub_cl150
label values  domcon domcon_cl151
label values  offgio offgio_cl152
label values  inserz inserz_cl153
label values  domcv domcv_cl154
label values  amipar amipar_cl155
label values  intrt intrt_cl156
label values  ageint ageint_cl157
label values  ceraut ceraut_cl158
label values  chiaut chiaut_cl159
label values  altric altric_cl160
label values  orscel orscel_cl161
label values  motnc motnc_cl162
label values  ncnose ncnose_cl163
label values  dispo dispo_cl164
label values  condmam condmam_cl165
label values  condpam condpam_cl166
label values  trisp trisp_cl167
label values  gsett gsett_cl168
label values  giocin giocin_cl169
label values  giocap giocap_cl170
label values  scuola scuola_cl171
label values  compit compit_cl172
label values  sport sport_cl173
label values  extra extra_cl174
label values  alpiut alpiut_cl175
label values  camic camic_cl176
label values  compag compag_cl177
label values  cugini cugini_cl178
label values  fratel fratel_cl179
label values  mamma mamma_cl180
label values  papa papa_cl181
label values  nonni nonni_cl182
label values  alter alter_cl183
label values  nemo nemo_cl184
label values  genlav genlav_cl185
label values  timse timse_cl186
label values  timpar timpar_cl187
label values  timfig timfig_cl188
label values  timgen timgen_cl189
label values  timlav timlav_cl190
label values  timint timint_cl191
label values  timsva timsva_cl192
label values  timrip timrip_cl193
label values  stress stress_cl194
label values  strfon strfon_cl195
label values  timcon timcon_cl196
label values  manca manca_cl197
label values  lavpar lavpar_cl198
label values  scuole scuole_cl199
label values  uffici uffici_cl200
label values  luolib luolib_cl201
label values  negozi negozi_cl202
label values  sodeco sodeco_cl203
label values  sodqnt sodqnt_cl204
label values  sodqlt sodqlt_cl205
label values  sodla sodla_cl206
label values  sodcop sodcop_cl207
label values  sodequ sodequ_cl208
label values  fiducia fiducia_cl210
label values  tradiz tradiz_cl211
label values  pardom pardom_cl212
label values  parcur parcur_cl213
label values  masdom masdom_cl214
label values  mascur mascur_cl215
label values  impcas impcas_cl216
label values  parldm parldm_cl217
label values  fapiud fapiud_cl218
label values  famend famend_cl219
label values  magdom magdom_cl220
label values  soddom soddom_cl221
label values  magred magred_cl222
label values  magcur magcur_cl223
label values  sodcur sodcur_cl224
label values  comgio comgio_cl225
label values  giocom giocom_cl226
label values  tipoab tipoab_cl227
label values  godab godab_cl228
label values  stanzem stanzem_cl229
label values  secasa secasa_cl230
label values  lavcas lavcas_cl231
label values  intcas intcas_cl232
label values  coltiv coltiv_cl233
label values  alleva alleva_cl234
label values  vende vende_cl235
label values  andome andome_cl236
label values  pc pc_cl237
label values  ainter ainter_cl239
label values  antepa antepa_cl241
label values  telfis telfis_cl243
label values  telcel telcel_cl245
label values  bic bic_cl247
label values  nbicm nbicm_cl248
label values  motor motor_cl249
label values  amoto amoto_cl251
label values  auto auto_cl253
label values  nautom nautom_cl254
label values  colf1 colf1_cl255
label values  colf2 colf2_cl256
label values  colf3 colf3_cl257
label values  baby1 baby1_cl258
label values  baby2 baby2_cl259
label values  baby3 baby3_cl260
label values  asanz1 asanz1_cl261
label values  asanz2 asanz2_cl262
label values  asanz3 asanz3_cl263
label values  risec risec_cl267
label values  nolset nolset_cl268
*/
save  uso_tempo_A2013_Individuo.dta, replace
